# Creating a new Custom Task Status

Adds a new custom status to a task status set.

This endpoint returns structured Custom Task Status objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the custom_task_statuses top-level JSON key.
Please see our Response Format section for more information.

Endpoint: POST /custom_task_statuses
Version: 1.0.0

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- task_status_set (StatusSet) - Retrieves the task status set the custom status is in. The response will include task_status_set_id, which references the data in the task_status_sets top-level key.

## Request fields (application/json):

  - `custom_task_status` (object)

  - `custom_task_status.status` (string, required)
    The name of the custom task status. The name must be unique within the set.

  - `custom_task_status.category` (string, required)
    The category (i.e. status type) for this custom status. Possible values are not started, started, needs info, or completed.

  - `custom_task_status.status_set_id` (integer, required)
    The ID of the task status set to add the custom status to.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `custom_task_statuses` (object)

  - `task_status_sets` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


